package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val seaList = listOf(
    Recipe(
        title = "Kecap Manis",
        description = "A Sweet, Sticky, Dark Soy Soy Sauce, used often in SEA cooking.",
        prepTime = Duration.parse("5h"),
        cookTime = Duration.parse("15m"),
        ingredients = listOf(
            "1 Cup Soy Sauce",
            "1.25 Cup Coconut Sugar",
            "1 Tbsp Molasses",
            "6 Cloves Garlic",
            "2 inch Piece Fresh Ginger",
            "2 Whole Star Anise",
            "2 Whole Clove",
        ),
        instructions = listOf(
            "Place all ingredients in a small saucepan and bring to a boil. Reduce the heat to medium-low and simmer uncovered, stirring frequently, until the Sugar is dissolved and Sauce begins to thicken, 10-15 minutes.",
            "Turn off the heat, cover and let cool completely with the spices, garlic and ginger still in it so they can continue to release their flavors.  Once cool, discard the pieces, pour the sauce into an airtight jar and store in the fridge.  It will keep for several weeks",
        ),
        tags = mapOf(
            "Sauce" to TagType.COURSE,
            "SEA" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Sweet" to TagType.FLAVOUR,
        ),
        servings = "About 1 Cup",
        image = Res.drawable._10_strawberries
    )
)